from setuptools import setup, find_packages

setup(
    name='poobrains',
    author='phryk',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Programming Language :: Python :: 3',
    ],

    install_requires=[
        'flask',
        'peewee',
        'pyOpenSSL', # to create TLS client certs
        'PyNaCl', # usable crypto for things like encrypted server-side sessions
        'pyScss',
        'pillow', # for image manipulation and generation (primarily to generate captchas)
        'markdown (>=3.0)',
        'pretty-bad-protocol', # formerly 'gnupg'
        'numpy',
        'pyproj', # map projection
        'geojson',
        'Shapely',
        'bson',
    ],

    extras_require={
        'dev': ['pudb'], 
    },

    packages=find_packages(),
    include_package_data=True,
)
